/* Check conflicts - both items. */
.top {
	display: left;
	padding-left: 10px;
}

/* centers the nav and logo together */
.top {
	background-color: #FAFAFA;
	padding: 10px;
	display: flex;
	justify-content: space-between; 
	align-items: flex-start; 
}

.mobileSearch {
	display: none;
	visibility: hidden;
}

#cssmenu {
	width: 100%;
}

/* logo */
#navLogo {
  max-width: 100%;
  height: auto;
  margin: 1em 0 0 1.5em;
  display: block;
  float: left;
}

#menu-button {
  display: none;
  cursor: pointer;
  font-size: 1.5em;
}
#menu-button::after {
	content: '\2630';
	color: #000000; /* Black */
}
/* Controls navbar vertical placement */
nav {
  flex-grow: 1;
  margin-top: 90px;
}

/* Check conflicts. */
.navigation {
	position: relative;
	z-index: 99;
}

/* Controls navbar Horizontal placement */
.main-menu {
  list-style: none;
  padding: 0;
  margin: 0;
  margin-right: 95px;
  display: flex;
  justify-content: flex-end;
}
/* nav text */
.main-menu a {
  font-family: 'Open Sans', sans-serif;
  color: #000000; /* Black */
  font-size: 18px;
  text-decoration: none;
  text-transform: uppercase;
}
/* Nav spacing */
.main-menu li {
  margin: 0 30px;
}

/* Adds bottom border to separate nav from main */
#navContainer {
	border-bottom: 3px solid black;
	padding-bottom: 0.5em;
}

/* checkbox element controlling hamburger menu in mobile
	should never be displayed */
.navMenu{
	display: none;
}

/* Doesn't seem to exist
.navBar{
	position: static;
} 
*/
	
#navList {
	margin-right: 1em;
}
	
#navList a:hover{
    background-color: transparent;
	color: #4E8605;
}
	
.hambButton{
	display: none;
}


/* Widescreen sizing */
@media screen and (min-width: 1200px) {
	.top {
		width: 100%;
		margin: auto;
		/* justify-content: center; */
	}
	.navigation {
		z-index: 25;
	}
}

/* Portrait sizing */
@media screen and (max-width: 1280px) { 
	.top {
		flex-direction: column; width: 100%;
	}

	.navigation {
		z-index: 99;
	}
	
	.main-menu {
		flex-direction: column;
		width: 100%;
		background-color: #F59B00;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
	}
	#navContainer {
		padding-bottom: 110px;
	}
	
	.main-menu.show {
		display: flex;
		background-color: #303030;
	}
	.main-menu li {
		margin: 2px 0px 0px;
		text-align: center;
	}
	.mobileSearch {
		display: inline;
		visibility: visible;
	}
	
	
	.top {
		padding: 0;
		align-items: stretch;
	}
	
	#navLogo {
		height: 44px;
		margin: 15px 20px;
	}

	nav {
		width: 100%;
		height: calc(100% - 74px);
		top: 74px;
		position: fixed;
		overflow: hidden;
		max-height: 0;
		transition: max-height .5s ease-out;
		margin-top: 0;
		background-color: #006E99;
	}

	#navContainer{
		z-index: 9999;
		position: sticky;
		top: 0;
		padding-bottom: 0;
	}
	
	#navList{
		background-color: #006e99;
	}

	#navList a{
		display: block;
		padding: 1em;
		background-color: #b3e9ff;
	}

	#navList a:hover{
		background-color: #33c5ff;
		color: white;
	}

	/* Hamburger menu for navbar */
	.hambButton{
		float: right;
		padding: 1em;
		margin: 1.3em .75em 1em 0em;
		cursor: pointer;
		display: block;
	}

	.hambLine{
		background: #000000;
		display: block;
		height: 1.5px;
		width: 20px;
		position: relative;
	}

	.hambLine::before,
	.hambLine::after{
		background: #000000;
		content: '';
		display: block;
		height: 100%;
		position: absolute;
		transition: all .2s ease-out;
		width: 100%;
	}

	.hambLine::before{
		top: 6px;
	}

	.hambLine::after{
		top: -6px;
	}

	/* Allows for scrolling only within the nav menu while extended */
	body:has(.navMenu:checked){
		overflow: hidden;
	}
	.navMenu:checked ~ nav{
		max-height: 100%;
		overflow-y: auto;
	}

	/* Change appearance of hamburger menu while extended */
	.navMenu:checked ~ .hambButton .hambLine{
		background: transparent;
	}

	.navMenu:checked ~ .hambButton .hambLine::before{
		transform: rotate(-45deg);
		top:0;
	}

	.navMenu:checked ~ .hambButton .hambLine::after{
		transform: rotate(45deg);
		top:0;
	}
	/* End Hamburger menu */
}



/* Mobile sizing */
@media only screen and (max-width: 735px) {

 
	}

/* Changes nav based on browser color theme choice */
@media (prefers-color-scheme: dark) {
	#navLogo {
		content: url('https://www.bartlettlibrary.org/images/logo_darkmode.png');
	}
	.top {
		background-color: #303030;
	}
	/* New nav text color */
	.main-menu a {
        color: #FBEADA; /* Beige matching dark mode logo */
    }
	.main-menu a:hover {
        color: #FBEADA; /* Beige matching dark mode logo */
    }
	.main-menu li {
        background-color: #303030;
    }
	#cssmenu {
		background-color: #303030;
	}
	#menu-button::after {
		color: #FBEADA; /* Beige */
	}
	#navList a:hover{
		color: #D77D00;
	}
	
	@media screen and (max-width: 1280px) {
		/* New color scheme for hamburger nav */
		nav{
			background-color: #D77D00;
		}
		#navList{
			background-color: gray;
		}
		#navList a{
			background-color: #303030;
		}
		#navList a:hover{
			background-color: #C36900;
			color: #000000;
		}
		.hambLine,
		.hambLine::before,
		.hambLine::after {
			height: 1.5px;
			background: white;
	}
	
}